Skip to main content
POST
/
subaccounts
/
customers
/
{customerId}
/
accounts
Create a new subaccount for a given program customer
curl --request POST \
  --url https://api.anchorage-staging.com/v2/subaccounts/customers/{customerId}/accounts \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Subaccount Name",
  "externalSubaccountId": "EXTERNAL_ID_001",
  "fees": [
    {
      "type": "ADVISORY",
      "rate": 0.01
    },
    {
      "type": "MODEL",
      "rate": 0.01,
      "isBillable": false
    },
    {
      "type": "MANAGEMENT",
      "rate": 0.01
    }
  ]
}
'
{
  "data": {
    "subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

customerId
string
required

Unique Identifier for the program customer

Body

application/json

Details of the subaccount to open for the program customer

externalSubaccountId
string
required

The external unique identifier you wish to use to identify this subaccount.

fees
CreateFeeDetailType · object[]
required

List of fees applied to the subaccount. All fees need to be defined.

name
string
required

The name of the subaccount. Needs to be unique per program customer.

Response

Successfully created the subaccount

data
SubaccountIdResponse · object
required